Bug 7527 - AIX: make: 1254-002 Cannot find a rule to create target EXTRA_FLAGS from dependencies.
AIX: make: 1254-002 Cannot find a rule to create target EXTRA_FLAGS from depe...
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
3.5.3
PPC AIX
: P3 normal
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 10:18 UTC by Yannick Bergeron
Modified: 2011-06-17 07:36 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yannick Bergeron 2010-06-21 10:18:54 UTC
AIX 6.1 TL4 SP3
IBM XL C/C++ v10.1 (10.1.0.3) compiler


gzip -cd samba-3.5.3.tar.gz |tar xf -
cd samba-3.5.3/source3
./configure --with-pam
mv Makefile-noincludes Makefile
make

it compiles for a while and then:

Using CFLAGS     = -I../lib/zlib -D_LINUX_SOURCE_COMPAT -qmaxmem=32000 -D_LINUX_SOURCE_COMPAT -qmaxmem=32000 -I.  -I/usr/src/samba-3.5.3/source3  -I/usr/srcamba-3.5.3/source3/../lib/popt -I/usr/src/samba-3.5.3/source3/iniparser/src  -Iinclude -I./include  -I. -I. -I./../lib/replace -I./../lib/tevent -I./libaddn-I./librpc -I./.. -I./../lib/talloc -I../lib/tdb/include  -DHAVE_CONFIG_H  -Iinclude -I./include -I. -I. -I./../lib/replace -I./../lib/tevent -I./libaddns -/librpc -I./.. -I./../lib/popt    -I/usr/src/samba-3.5.3/source3/lib  -I..  -I../source4  -D_SAMBA_BUILD_=3 -D_SAMBA_BUILD_=3
      PICFLAG    = -O2
      LIBS       =
      LDFLAGS    = -L./bin
      DYNEXP     = -Wl,-brtl,-bexpfull,-bbigtoc
      LDSHFLAGS  = -Wl,-G,-bexpfull,-bbigtoc,-brtl  -L./bin -lc
      SHLIBEXT   = so
      SONAMEFLAG = #
make: 1254-002 Cannot find a rule to create target EXTRA_FLAGS from dependencies.
Stop.


I've sent the error to William Jojo and Miguel Sanders (who are both AIX Samba users) to see if they have tried 3.5.x on AIX and/or have already seen this error.

Until they reply, I'm opening this bugzilla to track the error and will investigate how we can fix it.
If we're fast enough, maybe that we'll able to submit a fix for 3.5.4 which is supposed to be released on wednesday
Comment 1 Björn Jacke 2010-06-21 10:28:19 UTC
this is because we require GNU make at some places. This particular issue was worked around by a1b44f4335f41a0c11505f1552d9173ca0b469f4.

Volker, do you want to review this for git cherry-pick to 3.5 ?
Comment 2 Yannick Bergeron 2010-06-22 05:03:47 UTC
is there any chance that it will be included in tomorrow 3.5.4 release?
Comment 3 Volker Lendecke 2010-06-22 05:20:35 UTC
The patch is okay, but I'm pretty certain it's too late. Sorry.

Re-assigning to Karolin for the next 3.5.

Volker
Comment 4 Yannick Bergeron 2010-06-23 10:46:11 UTC
yes much better now, and the groups are ok

$ /usr/local/sudo-1.7.2p7/bin/sudo -u yaberge3 id
uid=919(yaberge3) gid=21(shutdown)
$ /usr/local/sudo-1.7.3b4/bin/sudo -u yaberge3 id
uid=392592(yaberge3) gid=690667(yaberge3)
$ /usr/local/sudo-1.7.3b4-1/bin/sudo -u yaberge3 id
uid=392592(yaberge3) gid=690667(yaberge3) groups=495666(p/mdiprd01/admin),497299(p/asmprd/admin),497303(p/asmdev/admin),501115(p/pdmdev/admin),501383(p/tciprd1/admin),501387(p/tciprd0/admin),501391(p/pdmprd4/admin),502343(p/tciadmin/admin),503817(p/asmcns/admin),521701(p/tcidb/admin),521723(p/wbiadmin/admin),707338(p/mdiprd/admin),729990(p/mdicns/admin)
$ su - yaberge3 -c id
uid=392592(yaberge3) gid=690667(yaberge3) groups=495666(p/mdiprd01/admin),497299(p/asmprd/admin),497303(p/asmdev/admin),501115(p/pdmdev/admin),501383(p/tciprd1/admin),501387(p/tciprd0/admin),501391(p/pdmprd4/admin),502343(p/tciadmin/admin),503817(p/asmcns/admin),521701(p/tcidb/admin),521723(p/wbiadmin/admin),707338(p/mdiprd/admin),729990(p/mdicns/admin)
Comment 5 Yannick Bergeron 2010-06-23 10:47:09 UTC
meh, how to post in the wrong bugzilla (samba instead of sudo), my bad
Comment 6 Karolin Seeger 2010-06-24 08:08:37 UTC
(In reply to comment #1)
> this is because we require GNU make at some places. This particular issue was
> worked around by a1b44f4335f41a0c11505f1552d9173ca0b469f4.
> 
> Volker, do you want to review this for git cherry-pick to 3.5 ?
> 

Patch does not apply to v3-5-test (28f6e4144b).
Björn, could you please provide a patch for v3-5-test?
Thanks!
Comment 7 Björn Jacke 2010-09-21 17:28:42 UTC
for 3.5, use gmake, 3.6 will have the explicit targets for this, which also work for non-GNU flavours
Comment 8 Yannick Bergeron 2010-09-22 06:32:18 UTC
So far (with 3.5.4 and 3.5.5), I've manually applied the patch.
I'm fine with the decision of including it in 3.6 but not 3.5


Thanks for the support